Page MenuHomePhabricator

[OPENMP][NVPTX]Perform memory flush if number of threads to sync is 1 or less.
ClosedPublic

Authored by ABataev on May 24 2019, 8:28 AM.

Details

Summary

According to the OpenMP standard, barrier operation must perform
implicit flush operation. Currently, if there is only one thread in the
team, barrier does not flush the memory. Patch fixes this problem.

Diff Detail

Repository
rL LLVM

Event Timeline

ABataev created this revision.May 24 2019, 8:28 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 24 2019, 8:28 AM
ABataev updated this revision to Diff 205597.Jun 19 2019, 8:09 AM

Addressed comments.

ABataev updated this revision to Diff 206900.Jun 27 2019, 11:42 AM

Updated test.

grokos accepted this revision.Jul 22 2019, 12:24 PM

This looks consistent with the changes in D62397, I think it's good to go.

This revision is now accepted and ready to land.Jul 22 2019, 12:24 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald Transcript